Skip to main content

Update Renewal Status: Funnel

POSThttps://api.propexo.com/crm/v1/renewal-status/funnel

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    community_idstringrequired

    The Propexo unique identifier for the community

    prospect_idstringrequired

    The Propexo unique identifier for the prospect

    listing_idstringrequired

    The Propexo unique identifier for the listing

    show_renewal_cardbooleanrequired

    Whether or not to show the renewal card

    body_textstringrequired

    The body text of the renewal

    show_alertbooleanrequired

    Whether or not to show the an alert for the renewal

    alert_body_textstringrequired

    The body text of the alert

    alert_typestringrequired

    The type of the renewal alert

    Show 2 enum values
    WARNINGINFO
    allow_clickthroughbooleanrequired

    Whether or not to allow click-through by the prospect to the renewal

    header_textstringrequired

    The text of the renewal header

    subheader_textstringrequired

    The text of the renewal sub-header

    icon_typestringrequired

    The type of icon to use for the renewal alert. Funnel documents these

    Show 11 enum values
    SIGNRENEWINFOFEEDAUTOPAYTRANSFERRESERVATIONMESSAGEGUEST_ACCESSCALENDARCHECKLIST

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    community_idstringrequired

    The Propexo unique identifier for the community

    prospect_idstringrequired

    The Propexo unique identifier for the prospect

    listing_idstringrequired

    The Propexo unique identifier for the listing

    show_renewal_cardbooleanrequired

    Whether or not to show the renewal card

    body_textstringrequired

    The body text of the renewal

    show_alertbooleanrequired

    Whether or not to show the an alert for the renewal

    alert_body_textstringrequired

    The body text of the alert

    alert_typestringrequired

    The type of the renewal alert

    Show 2 enum values
    WARNINGINFO
    allow_clickthroughbooleanrequired

    Whether or not to allow click-through by the prospect to the renewal

    header_textstringrequired

    The text of the renewal header

    subheader_textstringrequired

    The text of the renewal sub-header

    icon_typestringrequired

    The type of icon to use for the renewal alert. Funnel documents these

    Show 11 enum values
    SIGNRENEWINFOFEEDAUTOPAYTRANSFERRESERVATIONMESSAGEGUEST_ACCESSCALENDARCHECKLIST

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /crm/v1/renewal-status/funnel
curl -X POST https://api.propexo.com/crm/v1/renewal-status/funnel \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"community_id": "string",
"prospect_id": "string",
"listing_id": "string",
"show_renewal_card": true,
"body_text": "string",
"show_alert": true,
"alert_body_text": "string",
"alert_type": "WARNING",
"allow_clickthrough": true,
"header_text": "string",
"subheader_text": "string",
"icon_type": "SIGN"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"community_id": "string",
"prospect_id": "string",
"listing_id": "string",
"show_renewal_card": true,
"body_text": "string",
"show_alert": true,
"alert_body_text": "string",
"alert_type": "WARNING",
"allow_clickthrough": true,
"header_text": "string",
"subheader_text": "string",
"icon_type": "SIGN"
}
}